commit:     28a8ceff10e8fe323ed312d5d6208b36b786e783
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 25 04:26:40 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 25 05:56:55 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28a8ceff

dev-python/gitpython: Bump to 3.1.45

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/gitpython/Manifest                |  2 +
 dev-python/gitpython/gitpython-3.1.45.ebuild | 81 ++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-python/gitpython/Manifest b/dev-python/gitpython/Manifest
index d3a738671a02..2798c136da78 100644
--- a/dev-python/gitpython/Manifest
+++ b/dev-python/gitpython/Manifest
@@ -1,4 +1,6 @@
 DIST GitPython-3.1.44.gitbundle 10877475 BLAKE2B 
bb699c221be259d0be53cf9b0a8e62191547dda2dee911406b14ce753f92748dabe5827adf86a5e5a373f6113daa8d5c93490208bc7250589a37379debd42f93
 SHA512 
b20ac8f691e57283d0167ee0d021d559153e51fef1ae64811624e3efb96620566ed8625d6bfd0d17a6ea385534de78c60c34aaa4a9bf8416bd45da36e196ee43
+DIST GitPython-3.1.45.gitbundle 11033375 BLAKE2B 
b9664edd805d75574a9293105366f288d3c72661a1b41a2d9c400abe7e1d157177d151f9d7387397d83dc1965d286986c8e2200cb698fd120563b4c8d367269a
 SHA512 
01ed3d8e8fdcaa0702c9bd13fca00d1fa4f75566e81585a963adc82066a602875be2bb68414531cb9489342470ccc2a5f26b24c0987f89470afa14d3ea947509
 DIST gitdb-4.0.12.gitbundle 1627457 BLAKE2B 
2fb730fb72f682bac9a71a2b70af6ed476f69d57e00b323e669550793bcc330bd4b71575e0d0f008ed58f39e5beb622213ce2a10df6f512f1f5536b72c77871a
 SHA512 
2fc619f511e373ad2ee51a108057e3a558dbfd68cbd7632244d7fd7914ed5fce99c182de5542264273de642e6e7680ee9b54a6da95224c562f43cf65e325db56
 DIST gitpython-3.1.44.tar.gz 214196 BLAKE2B 
e51d50bdfaf7a96d58f744dd632439ae7d0001df25af00a732a292970ec5666e7efe167ecf4b83c32ce8f1717e465fee419405d44a3963004bd5e04461fe86c2
 SHA512 
ad87a76510c980cce1cf24eb1097a11d3f44833708556af6ae46d7a3e5fe6610f6a9d00e03e2e03fc0b48bb1d4d546a854c574d99e46f364478d0264abc1d076
+DIST gitpython-3.1.45.tar.gz 215076 BLAKE2B 
bed5cc155d02510b1432a449d6c734388d70f2f29a37b11c60c3aabd082f4cd0dcc09d1b47f28c8cd38e1ae9489f8de896e6043dae994e33ab27c8943a587306
 SHA512 
8d046f9dda080d58260ac076fdcd49d3b19284a6e4f6c7cd6c4ccc107473c37fcffa47ef667a6d98eff0d048ed911b44705b0bbc065314daa002ef7311de8428
 DIST smmap-5.0.1.gitbundle 362567 BLAKE2B 
72c8b48ad3250a33b94218c145c02033dee84c1da5f1eea57983a58699262d51844be675330d95c7d64924b6aeaacd4b0a57e9a5acad3be184aaad62102202e7
 SHA512 
9ca8386bfec25d1562cdf1c2ee85f7edb15fd3f44ecd1abbef738979f12b82f0b0f39a06589203a39f89518d981d7129e35f64f2d855cd162cd964bdd87c8d18

diff --git a/dev-python/gitpython/gitpython-3.1.45.ebuild 
b/dev-python/gitpython/gitpython-3.1.45.ebuild
new file mode 100644
index 000000000000..80d9a6924639
--- /dev/null
+++ b/dev-python/gitpython/gitpython-3.1.45.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=GitPython
+PYTHON_COMPAT=( python3_{11..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.12
+SMMAP_P=smmap-5.0.1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+       https://github.com/gitpython-developers/GitPython/
+       https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+       test? (
+               https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+       )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+
+RDEPEND="
+       dev-vcs/git
+       >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_test() {
+       git config --global user.email "[email protected]" || die
+       git config --global user.name "Travis Runner" || die
+
+       git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+       git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+               "${T}"/test/git/ext/gitdb || die
+       git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+               "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+       cd "${T}"/test || die
+       git rev-parse HEAD > .git/refs/remotes/origin/master || die
+       # this tries to fetch again
+       sed -i -e '/git submodule/d' init-tests-after-clone.sh || die
+       TRAVIS=1 ./init-tests-after-clone.sh || die
+       cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+       distutils-r1_src_test
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # performance tests are unreliable by design
+               test/performance
+               # unimportant and problematic
+               test/test_installation.py
+               # Internet
+               test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+               # TODO
+               test/test_submodule.py::TestSubmodule::test_base_rw
+               test/test_submodule.py::TestSubmodule::test_root_module
+       )
+
+       epytest -o addopts= test
+}

Reply via email to